2016-12-03 17:37 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000049tcshgeneralpublic2007-07-02 15:56
ReporterPeter Breitenlohner 
Assigned ToChristos Zoulas 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version6.15.00 
Target VersionFixed in Version 
Summary0000049: tcsh-6.15.00 segfault
DescriptionAttached is a small shell script that works fine with tcsh-6.14.00 but produces a segmentation fault (in the process substitution subshell).
TagsNo tags attached.
Attached Files
  • ? file icon buggy (200 bytes) 2007-05-10 13:15 -
    #! /bin/tcsh
    
    alias versionkey 'echo "keya0=2^0; keyc0=2^4; \!*:agl" | bc'
    alias setversionkey 'setenv LTVERSION `versionkey \!*`'
    
    set echo
    
    setversionkey keyC0-2*keyA0
    echo LTVERSION="'$LTVERSION'"
    
    ? file icon buggy (200 bytes) 2007-05-10 13:15 +

-Relationships
+Relationships

-Notes
Christos Zoulas

~0000052

Christos Zoulas (manager)

Will be fixed in the next version. I believe that the fix is in sh.lex.c:

@@ -851,7 +851,8 @@
            return (en);
        }
        slhs.len = 0;
- Strbuf_append(&slhs, lhsb.s);
+ if (lhsb.s != NULL && lhsb.len != 0)
+ Strbuf_append(&slhs, lhsb.s);
        Strbuf_terminate(&slhs);
        if (exclc)
            en = dosub(sc, en, global);
@@ -1625,7 +1626,7 @@
                return CHAR_ERR;
            feobp += c;
        }
+Notes

-Issue History
Date Modified Username Field Change
2007-05-10 13:15 Peter Breitenlohner New Issue
2007-05-10 13:15 Peter Breitenlohner File Added: buggy
2007-07-02 15:54 Christos Zoulas Status new => assigned
2007-07-02 15:54 Christos Zoulas Assigned To => Christos Zoulas
2007-07-02 15:55 Christos Zoulas Note Added: 0000052
2007-07-02 15:56 Christos Zoulas Status assigned => resolved
2007-07-02 15:56 Christos Zoulas Resolution open => fixed
+Issue History